Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00776 Crash/Freeze Critical (emulator) Have not tried Feb 5, 2008, 05:54 27 days ago
Tester -Misc Reporters- View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver
Version 0.121u3 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00776: alpinesa: Screen flickers with green color, game hangs mame.
Description Screen flickers with green color, game hangs mame.

Tafoid: I can confirm that alpinesa does seem to hang, though, at this screen. Tested with 0.121u3.
Steps To Reproduce
Additional Information Posted by Jan Tleskac / Tafoid
Github Commit
Flags
Regression Version
Affected Sets / Systems alpinesa
Attached Files
png file icon alpinesa0121u3red.png (7,140 bytes) Feb 14, 2008, 15:19
png file icon alpinesa (MAME 0.141).png (13,641 bytes) Jan 14, 2011, 18:55 Uploaded by M.A.S.H.
M.A.S.H.
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.07078
M.A.S.H.
Senior Tester
Jan 14, 2011, 18:55
Alpine Surfer shows since MAME 0.125u3 only the message
'MOTOR ERROR 2 - OPERATION STOP'.
And when you go into the Service Mode it shows after a while the message:
'WARNING! Step lock device is out of order. Call the attendant immediately'.
User avatar
No.07777
hap
Developer
Sep 14, 2011, 06:25
the step lock error is fixed in 143u6
User avatar
No.16753
Hydreigon
Tester
Aug 14, 2019, 14:10
edited on: Aug 15, 2019, 17:39
Decided to go into test mode and check both DSP and video board tests via the "Others" sub-menu. DSP board test shows numbers 1-8 in white and 9-12 in red (mostly likely normal mame behavior because other games show similar dsp tests). Video board test only shows a bit of the video board test screen and sends the game back to the "Others" sub-menu. I never saw this video board test behavior in timecris and tokyowar but have yet to test other games that allow that feature.

Someone needs to confirm if Alpine Surfer has an additional protection check or if these video issues are caused by unfinished slave dsp emulation. Game will stay on a black screen if these protection read/write commands, alpinesa_prot, are hacked out.
User avatar
No.16754
hap
Developer
Aug 14, 2019, 19:58
I think protection emulation is unfinished and a write does more than just prepare a return value.
User avatar
No.16758
Hydreigon
Tester
Aug 15, 2019, 21:33
I need to find a way to delve deeper into this game. It wouldn't make sense for Namco to add an additional protection device since this game was released as a gigantic cabinet setup (hence my prediction with the unfinished slave dsp emulation).
User avatar
No.16760
hap
Developer
Aug 16, 2019, 13:37
My TODO note is not a wild guess. Depending on the value written, I saw that the addressing to some of the video devices is different, it's not because of the slave DSP.
User avatar
No.16922
Hydreigon
Tester
Sep 18, 2019, 14:51
Found out you are correct hap but not happy with the results (I don't blame you). I had to check an area I dread the most and was least suspicious about: a PAL on the program rom board. It's amazing on how a simple programmable logic device going bad can cause various issues on different hardware when some operators would suspect this to be a bad main component (no matter why I despise programmable logic devices).

I guess the only "fix" involves using logic analyzer on that certain pal (unless that has been ruled out)? My next assignment is to run this pcb with the PAL removed on the program rom board.
User avatar
No.20804
hap
Developer
28 days ago
edited on: 28 days ago
It was rom banking, not protection.
On top of that, a bad prg rom dump.

point 1 fixed here: https://github.com/mamedev/mame/commit/5028d8bf0d2a34eb5e5b9d54d0e79f04fe8d0b25
point 2, Guru did a new romdump: https://github.com/mamedev/mame/commit/5ee5881e54160d20535a25db2f3838bc19be8d3e

Also FWIW the thing where it hangs MAME itself, that was fixed several years ago.